#ifndef LAMBDA_H
#define LAMBDA_H

typedef struct
{
    unsigned int n;
    
    // n Werte
    double * t;
} lambda_t;

extern void lambda_copy (lambda_t * l, const lambda_t * l0);
extern lambda_t * lambda_alloc (unsigned int n);
extern void lambda_free (lambda_t * l);
extern int lambda_change (lambda_t*, const lambda_t*, unsigned int, unsigned int, double);
extern void lambda_adjust_len (lambda_t * l, double * x, double * y, double sigma);

#endif // LAMBDA_H
