#ifndef TUPEL_H
#define TUPEL_H

#include <stdlib.h>

#include "point.h"
#include "ppm.h"

enum
{
    TUPEL_A,
    TUPEL_B,
    TUPEL_KREIS,
    TUPEL_HERZ,
    
    TUPELS
};

typedef struct
{
    size_t dim;
    p_t lo_left;
    p_t up_right;
    p_t * p;
    double *x, *y;
    int inv_y;
    size_t id;
} tupel_t;

extern tupel_t * tupels[];
extern void tupel_plot (tupel_t * v, int color, int diam);
extern void tupel_plot_num (tupel_t*, int color, int zoom);


#endif // TUPEL_H
