#ifndef KURVE_H
#define KURVE_H

#include <stdlib.h>

#include "point.h"

extern p_t kurve_eval_phi (double * d, double t, p_t phi);
extern p_t kurve_eval (double * d, double t);
extern p_t kurve_eval_mix (double * a, double * b, double t, double l, p_t phi_a, p_t phi_b);

extern void kurve_plot (double * ku, int color0, int color1, double step, p_t phi);

extern void kurve_ani_rotate (double*, const char*, size_t k1, int color0, int color1);
extern void kurve_ani_morph (double*, double*, const char*, size_t frames, size_t pix);

#endif // KURVE_H
